# FileNameMapper

Extends

Interface for filename mapper classes.

author | Andreas Aderhold, andi@binarycloud.com
author | Hans Lellelid hans@xmpl.org
version | $Id: a5a4cdae56af93ef6e8f999d3d29868ec5e049fe $
package | phing.mappers

### Methods

## The mapper implementation.

    main(mixed $sourceFileName) : array

### Arguments

#### $sourceFileName

`mixed`

The data the mapper works on.

### Response

`array`

The data after the mapper has been applied; must be in array format (for some reason).

## Accessor. Sets the from property. What this mapper should recognize. The actual implementation is dependent upon the child class

    setFrom(string $from) : void

### Arguments

#### $from

`string`

On what this mapper should work

## Accessor. Sets the to property. The actual implementation depends on the child class.

    setTo(string $to) : void

### Arguments

#### $to

`string`

To what this mapper should convert the from string